Version: 5.10.6
Release: alt2
Epoch: %(date +%%Y%%m%%d)
Name: emacs-gnus
License: GPL
Group: Editors
Url: http://www.gnus.org
Summary: Gnus package for Emacs (stable version)
Summary(ru_RU.KOI8-R):  GNUS  Emacs ( )
Requires: emacs-common emacs-w3
Source: gnus-%version.tar.gz
Source1: gnus-emacs.el

Provides: gnus
Conflicts: emacs-ngnus
BuildArch: noarch

# Automatically added by buildreq on Thu Jul 26 2002
BuildRequires: emacs-common emacs-w3 texinfo

%description
Gnus is a program for Emacs which enable read news and mail from Emacs.
This is stable  version of package.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.KOI8-R
GNUS   Emacs     .   
     Gnus.

   Emacs Lisp ,     
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.KOI8-R
 %name-el      %name, 
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n gnus-%version

%build
./configure --prefix=%prefix --with-lispdir=%_emacslispdir/gnus --with-emacs --with-etcdir=%_datadir/emacs/etc --with-w3=%_emacslispdir/w3 --with-url=%_emacslispdir/w3
make EMACS=emacs

%install
mkdir -p %buildroot%_emacslispdir/gnus
install -m 644 lisp/*.el* %buildroot%_emacslispdir/gnus

mkdir -p %buildroot%_infodir
cd texi
for i in gnus message gnus-[0-9]  emacs-mime pgg sieve; do
    install -m 644 $i %buildroot%_infodir/$i
done
cd ..

mkdir -p %buildroot%_datadir/emacs/etc/gnus
mkdir -p %buildroot%_datadir/emacs/etc/smilies
install -m 644 etc/gnus/* %buildroot%_datadir/emacs/etc/gnus
install -m 644 etc/smilies/* %buildroot%_datadir/emacs/etc/smilies
install -m 644 etc/gnus-tut.txt %buildroot%_datadir/emacs/etc/

mkdir -p %buildroot/etc/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/gnus.el

%post
%install_info gnus
%install_info message
%install_info emacs-mime
%install_info pgg
%install_info sieve

%preun
%uninstall_info gnus
%uninstall_info message
%uninstall_info emacs-mime
%uninstall_info pgg
%uninstall_info sieve

%files
%doc ChangeLog README GNUS-NEWS todo
%_infodir/*
%_emacslispdir/gnus/*.elc
%config(noreplace) /etc/emacs/site-start.d/*
%_datadir/emacs/etc/*

%files el
%_emacslispdir/gnus/*.el

%changelog
* Mon Jan 12 2004 Ott Alex <ott@altlinux.ru> 20040112:5.10.6-alt2
- Fixing Epoch entry in spec to properly update of previous version

* Sat Jan 10 2004 Ott Alex <ott@altlinux.ru> 5.10.6-alt1
- Initial build

